﻿

Public Class GeburtsdekadenGruppierer
    Implements IValueConverter

    Public Function Convert(ByVal value As Object, _
      ByVal targetType As System.Type, _
      ByVal parameter As Object, _
      ByVal culture As System.Globalization.CultureInfo) As Object _
      Implements System.Windows.Data.IValueConverter.Convert

        If value.GetType Is GetType(Date) Then
            Dim d As Date = CDate(value)
            If d < #1/1/1950# Then
                Return "bis 1949"
            ElseIf d >= #1/1/1950# And d < #1/1/1960# Then
                Return "1950 - 1959"
            ElseIf d >= #1/1/1960# And d < #1/1/1970# Then
                Return "1960 - 1969"
            ElseIf d >= #1/1/1970# And d < #1/1/1980# Then
                Return "1970 - 1979"
            ElseIf d >= #1/1/1980# And d < #1/1/1990# Then
                Return "1980 - 1989"
            ElseIf d >= #1/1/1990# And d < #1/1/2000# Then
                Return "1990 - 1999"
            ElseIf d >= #1/1/2000# And d < #1/1/2010# Then
                Return "2000 - 2009"
            Else
                Return "2010 - Heute"
            End If
        Else
            Return "Sonstige"
        End If
    End Function

    Public Function ConvertBack(ByVal value As Object, _
      ByVal targetType As System.Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements System.Windows.Data.IValueConverter.ConvertBack
        Throw New NotSupportedException("Rückwärtige Konvertierung wird nicht unterstützt.")
    End Function
End Class

