﻿

Public Enum KontaktTyp
    Privat
    Geschäftlich
    Sonstige
End Enum



Public Class Kontakt

    Private mTyp As KontaktTyp = KontaktTyp.Sonstige
    Private mName As String = String.Empty
    Private mVorname As String = String.Empty
    Private mGeburtsDatum As Date

    Public Property Typ() As KontaktTyp
        Get
            Return mTyp
        End Get
        Set(ByVal value As KontaktTyp)
            mTyp = value
        End Set
    End Property

    Public Property Name() As String
        Get
            Return mName
        End Get
        Set(ByVal value As String)
            mName = value
        End Set
    End Property

    Public Property Vorname() As String
        Get
            Return mVorname
        End Get
        Set(ByVal value As String)
            mVorname = value
        End Set
    End Property

    Public Property Geburtsdatum() As Date
        Get
            Return mGeburtsDatum
        End Get
        Set(ByVal value As Date)
            mGeburtsDatum = value
        End Set
    End Property

    Public Sub New()
    End Sub

    Public Sub New(ByVal vorname As String, ByVal name As String, _
      ByVal geburtsdatum As Date, ByVal typ As KontaktTyp)

        mVorname = vorname
        mName = name
        mGeburtsDatum = geburtsdatum
        mTyp = typ
    End Sub

    Public Overrides Function ToString() As String
        Return String.Format("{0}, {1}", mName, mVorname)
    End Function

End Class